<?php
/*
  $Id: data_feed_intro.html,v 1.0.0.0 2008/05/13 13:41:11 wa4u Exp $

  CRE Loaded, Open Source E-Commerce Solutions
  http://www.creloaded.com

  Copyright (c) 2008 CRE Loaded
  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License

*/
?>

<table width="100%" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td class="main"><strong>Data Feed Input/Output Introduction</strong><br>
      &nbsp;</td>
  </tr>
  <tr>
    <td valign="top" class="main"><strong>Introduction:</strong><br>
      Data feed service is based on Calvin K's data feed contribution. The basic functions were retained but the rest of the internal code was changed to follow OSC Style of coding. Along with the coding change an admin interface was introduced to manage the feed configuration. With these coding changed and the addition of a admin the process was split into 4 steps. Not all of the steps are required for each feed you do.</td>
  </tr>
  <tr>
    <td valign="top" class="main"><strong>Goals:</strong><br>
      The typical store owner never needs to edit a code or define file directly.The store owner does not need a lot of support on how to use program. Combines the functions of moving data in and out of store is in one area. Make it flexible enough for small, medium and large store to use program effectively. Move program files closer to OSC/CRE Loaded standards for look and feel, and coding.</td>
  </tr>
  <tr>
    <td valign="top" class="main"><strong>Date Feed Setup:</strong><br>
      The typical store owner never needs to edit a code or define file directly.The store owner does not need a lot of support on how to use program. Combines the functions of moving data in and out of store is in one area. Make it flexible enough for small, medium and large store to use program effectively. Move program files closer to OSC/CRE Loaded standards for look and feel, and coding.<br>
      Step 1:<br>
      To set up this modules data feed service, Review the 7 steps to your first feed. It outlines what steps you need to take to do a feed. It will take you through the configuration process to the uploading and checking of the feed.<br>
      Step 2:<br>
      The you will need to configure and run the data feeds this is described in the running doc/configureandrun.txt document The file field_spec.txt describes the limitation of what can be placed into each field. </td>
  </tr>
  <tr>
    <td valign="top" class="main"><strong>Error and Status Messages:</strong><br>
      All messages except the result of an import will appear near the top of the form, Blue background is for normal messages, red back ground for errors.<br>
      <?php echo tep_image(DIR_WS_LANGUAGES . $language . '/help/ep/images/epb_export_mesg.png','','','','style="border:1px solid #ccc" vspace="5" hspace="5"');?> </td>
  </tr>
  <tr>
    <td valign="top" class="main"><strong>Help While Using the Admin Screens:</strong><br>
      You will notice a <?php echo tep_image('images/information.png');?> through out the admin screens This is individual help for each setting or input you could use. It will display a popup window with help.</td>
  </tr>
</table>
